<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*  Use is subject to license terms.
--><html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>CDC Project Properties Dialog Box: Libraries</title>
        <link rel="StyleSheet" href="nbdocs:/org/netbeans/modules/usersguide/ide.css" type="text/css">
    </head>
    <body>
    <h2>CDC Project Properties Dialog Box: Libraries</h2>
    <p>The Libraries panel enables you to register libraries on a project's various classpaths as 
    well as set the target
    Java ME CDC platform against which all source files are compiled and run. 
    Like this you can select which emulators your project will run on.  You open the
    Java ME CDC Project Properties dialog box by right-clicking any 
    CDC project node and choosing Properties. 
    <p> You can
    configure project classpaths:
    <ul>
        <li><b>Compile</b> Specifies any libraries, jar files or projects that are needed 
        to properly compile your application.  Essentially this panel sets the compilation classpath</li>
        <li><b>Run</b> Specifies any libraries, jar files or projects that are needed when you 
        run the application.  Essentially this panel sets the run-time classpath.  Any libraries or jar files in this 
        panel will also be automatically included in the application distribution package.
        <li><b>Compile Tests</b> JUnit test compilation classpath.</li>  
        <li><b>Run Tests</b> JUnit test runtime classpath.</li>
    </ul>
    <!--note : is the following list necessary? it seems obvious and could be further clarified with tooltips-->
    <p>Use the buttons on the right  side of the panel to add, remove, 
    and change the order of classpath elements. You can add any of the following: 
    <ul>
        <li><b>JAR file.</b> A Java archive file somewhere on your system.  </li>
        <li><b>Library. </b>A collection
        of binary files, source files, and Javadoc files. </li>
        <li><b>Project.</b> The build 
            output, source files, and Javadoc files of another IDE project.  The project must be another CDC project.
        </li>
    </ul>
    <p><b>Notes:</b>
    <ul>
        <li>If a JAR file with attached souce code and Javadoc documentation is registered
        with a project as a member of a Java Class Library, you can simply
        add the JAR file to the classpath and the IDE finds the Javadoc documentation
        and source code automatically.  Adding a Java Class Library rather than a regular JAR file 
        also makes it easier for other developers
        you share the project with to fix broken references to Javadoc documentation
        and source code. </li>
        <li>By default, the project's compiled sources and everything on the compilation
        classpath are also on the runtime classpath.</li>
    </ul>

    <hr>
<font size=-2><a href="../../../getstarted/credits.html">Legal Notices</a></font> 
<table border="0" cellpadding="20">
        <tr><td>&nbsp;</td></tr>
        <tr><td>&nbsp;</td></tr>
        <tr><td>&nbsp;</td></tr>
    </table></body>
</html>
